Extending Qt Creator Manual | LocatorFilterEntry

Extending Qt Creator Manual 4.3.0

# LocatorFilterEntry Class

(Core::LocatorFilterEntry)

- List of all members, including inherited members

## Public Functions

| LocatorFilterEntry() = default
| LocatorFilterEntry(ILocatorFilter *fromFilter, const QString &name, const QVariant &data, const QIcon &icon = QIcon())
bool | operator==(const LocatorFilterEntry &other) const

## Member Function Documentation

### `[default]` LocatorFilterEntry::LocatorFilterEntry()

Default constructs an instance of LocatorFilterEntry.

### LocatorFilterEntry::LocatorFilterEntry(ILocatorFilter *fromFilter, const QString &name, const QVariant &data, const QIcon &icon = QIcon())

Default constructs an instance of LocatorFilterEntry.

### bool LocatorFilterEntry::operator==(const LocatorFilterEntry &other) const